import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaProbeVersion } from '@overflow/commons-typescript/model/meta';

export const metaProbeVersionEntityAdapter = createEntityAdapter<MetaProbeVersion, RPCClientError>();
export interface State extends EntityState<MetaProbeVersion, RPCClientError> {
}
export const initialState: State = metaProbeVersionEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaProbeVersionEntityAdapter.getSelectors(selector),
  };
}
